package be.jeffcheasey88.peeratcode.parser.java;

import java.util.List;

import be.jeffcheasey88.peeratcode.parser.Token;

public class Function extends JavaElement{
	
	private List<Annotation> annotations;
	
	private int mod;
	private Token generic;
	private Token type;
	private Token name;
	private List<Variable> parameters;
	private List<Token> throwables;
	
	private List<JavaElement> elements;
	
	public Function(int mod, Token type, Token name){
		this.mod = mod;
		this.type = type;
		this.name = name;
	}
	
	public Function(int mod, Token generic, Token type, Token name){
		this(mod, type, name);
		this.generic = generic;
	}
	
	public Function(int mod, Token generic, Token type, Token name, List<Variable> parameters){
		this(mod, generic, type, name);
		this.parameters = parameters;
	}
	
	public Function(int mod, Token generic, Token type, Token name, List<Variable> parameters, List<Token> throwables){
		this(mod, generic, type, name, parameters);
		this.throwables = throwables;
	}

}
